Skip to main content
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
Diffstat (limited to 'plugins/org.eclipse.osee.jaxrs.server/META-INF/MANIFEST.MF')
-rw-r--r--plugins/org.eclipse.osee.jaxrs.server/META-INF/MANIFEST.MF43
1 files changed, 23 insertions, 20 deletions
diff --git a/plugins/org.eclipse.osee.jaxrs.server/META-INF/MANIFEST.MF b/plugins/org.eclipse.osee.jaxrs.server/META-INF/MANIFEST.MF
index e09aee57fe..7d0eea2cb0 100644
--- a/plugins/org.eclipse.osee.jaxrs.server/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.osee.jaxrs.server/META-INF/MANIFEST.MF
@@ -6,24 +6,30 @@ Bundle-Version: 0.18.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Service-Component: OSGI-INF/*.xml
Import-Package: com.google.common.io,
- com.sun.jersey.api.container.filter;version="1.18.0",
- com.sun.jersey.api.container.filter.servlet;version="1.18.0",
- com.sun.jersey.api.core;version="1.18.0",
- com.sun.jersey.api.model;version="1.18.0",
- com.sun.jersey.api.wadl.config;version="1.18.0",
- com.sun.jersey.server.wadl;version="1.18.0",
- com.sun.jersey.server.wadl.generators;version="1.18.0",
- com.sun.jersey.server.wadl.generators.resourcedoc;version="1.18.0",
- com.sun.jersey.server.wadl.generators.resourcedoc.model;version="1.18.0",
- com.sun.jersey.server.wadl.generators.resourcedoc.xhtml;version="1.18.0",
- com.sun.jersey.spi.container;version="1.18.0",
- com.sun.jersey.spi.container.servlet;version="1.18.0",
javax.annotation.security;version="1.1.0",
- javax.servlet;version="2.5.0",
- javax.servlet.http;version="2.5.0",
- javax.ws.rs,
- javax.ws.rs.core,
- javax.ws.rs.ext,
+ javax.servlet;version="2.6.0",
+ javax.servlet.http;version="2.6.0",
+ javax.ws.rs;version="2.0.0",
+ javax.ws.rs.container;version="2.0.0",
+ javax.ws.rs.core;version="2.0.0",
+ javax.ws.rs.ext;version="2.0.0",
+ org.apache.cxf;version="3.0.0",
+ org.apache.cxf.binding;version="3.0.0",
+ org.apache.cxf.endpoint;version="3.0.0",
+ org.apache.cxf.feature;version="3.0.0",
+ org.apache.cxf.interceptor;version="3.0.0",
+ org.apache.cxf.interceptor.security;version="3.0.0",
+ org.apache.cxf.jaxrs;version="3.0.0",
+ org.apache.cxf.jaxrs.impl;version="3.0.0",
+ org.apache.cxf.jaxrs.provider.json;version="3.0.0",
+ org.apache.cxf.jaxrs.utils;version="3.0.0",
+ org.apache.cxf.jaxrs.validation;version="3.0.0",
+ org.apache.cxf.service.factory;version="3.0.0",
+ org.apache.cxf.transport;version="3.0.0",
+ org.apache.cxf.transport.common.gzip;version="3.0.0",
+ org.apache.cxf.transport.http;version="3.0.0",
+ org.apache.cxf.transport.servlet;version="3.0.0",
+ org.codehaus.jackson.jaxrs;version="1.9.13",
org.eclipse.osee.authorization.admin,
org.eclipse.osee.framework.jdk.core.type,
org.eclipse.osee.framework.jdk.core.util,
@@ -32,6 +38,3 @@ Import-Package: com.google.common.io,
org.osgi.framework,
org.osgi.service.http
Bundle-Vendor: Eclipse Open System Engineering Environment
-Require-Bundle: org.codehaus.jackson.core,
- org.codehaus.jackson.jaxrs,
- org.codehaus.jackson.mapper

Back to the top